## class osgParticle::CenteredPlacer

> An abstract placer base class for placers which need a center point

## Inheritance:

### Public Methods

virtual const char* libraryName() const
virtual const char* className() const
virtual bool isSameKindAs(const osg::Object* obj) const
inline CenteredPlacer()
inline CenteredPlacer(const CenteredPlacer &copy, const osg::CopyOp &copyop)
inline const osg::Vec3& getCenter() const
  Get the center point
inline void setCenter(const osg::Vec3 &v)
  Set the center point
inline void setCenter(float x, float y, float z)
  Set the center point

### Protected Methods

virtual ~CenteredPlacer()

### Inherited from Placer:

### Public Methods

virtual void place(Particle* P) const

### Protected Methods

Placer& operator=(const Placer &)

## Documentation

> An abstract placer base class for placers which need a center point

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual bool isSameKindAs(const osg::Object* obj) const`

`virtual ~CenteredPlacer()`

`inline CenteredPlacer()`

`inline CenteredPlacer(const CenteredPlacer &copy, const osg::CopyOp &copyop)`

`inline const osg::Vec3& getCenter() const`
  Get the center point

`inline void setCenter(const osg::Vec3 &v)`
  Set the center point

`inline void setCenter(float x, float y, float z)`
  Set the center point

Direct child classes:
  SectorPlacer
  PointPlacer

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.